IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[HDOSYA_LISTE]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].[HDOSYA_LISTE]
GO

SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER OFF
GO

CREATE FUNCTION [dbo].[HDOSYA_LISTE] (@HKIMLIKId as Integer)  
RETURNS nvarchar(1000) AS  
BEGIN 
declare @HDOSYAListe as nvarchar(1000),	
	@HDOSYAID as NVARCHAR(100)

SET @HDOSYAListe = '' 
DECLARE HDOSYA_CURSOR CURSOR
   FOR SELECT HDOSYAID FROM HDOSYA (NOLOCK)  WHERE HKIMLIKID = @HKIMLIKId
OPEN HDOSYA_CURSOR
FETCH NEXT FROM HDOSYA_CURSOR INTO @HDOSYAID
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @HDOSYAListe = @HDOSYAListe + @HDOSYAID+', '
	FETCH NEXT FROM HDOSYA_CURSOR INTO  @HDOSYAID
END
	IF CHARINDEX(',', ISNULL(@HDOSYAListe,' ')) <> 0
		SET @HDOSYAListe = LEFT(@HDOSYAListe, LEN(@HDOSYAListe)-1)
return @HDOSYAListe
END

GO
